Bug 239527 - Review Request: wammu - Mobile Phone Manager Frontend - Gammu GUI
Review Request: wammu - Mobile Phone Manager Frontend - Gammu GUI
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On: 239526
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-09 02:54 EDT by Xavier Lamien
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-12 21:49:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Xavier Lamien 2007-05-09 02:54:47 EDT
Spec URL: http://download.tuxfamily.org/lxtnow/fedora/SPECS/wammu.spec
SRPM URL: http://download.tuxfamily.org/lxtnow/temp/wammu-0.19-1.fc7.src.rpm
MockLog: http://download.tuxfamily.org/lxtnow/temp/wammu-0.19-build.log

Description:

Wammu is mobile phone manager running on Linux,
Windows and possibly other platforms,where Gammu and wxPython works.
The communication is made by Gammu library. Currently supported features:

* complete support (can read/edit/delete/copy) for contacts, todo, calendar
* can read/create/save/send/backup smses
* sending files to phone (OBEX and Sony Ericsson phones only)
* sms composer for multi part smses
 (currently only text and predefined bitmap/sound can be edited)
* display message including pictures and ringtones playback
* support for backup and import in various formats (vCard, iCalendar,...)
* export messages to mail (IMAP4, maildir and mailbox storages are supported)
* searching for phone
* translated into several languages
* rated as best on many software servers
Comment 1 Parag AN(पराग) 2007-06-04 23:09:33 EDT
W: wammu mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 9)
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.
Comment 2 Xavier Lamien 2007-06-06 00:58:48 EDT
Fixed,

Files URL: http://download.tuxfamily.org/lxtnow/extras/Wammu
Comment 3 Parag AN(पराग) 2007-06-06 02:34:01 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
dfacac02d07ad7c1b324f0cc907bb555  wammu-0.19.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ no -devel subpackage
+ no .la files.
+ translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ desktop file installed correctly.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Requires: /usr/bin/python gammu python(abi) = 2.5 python-gammu
+ GUI app.

APPROVED.
Comment 4 Xavier Lamien 2007-06-09 14:12:32 EDT
New Package CVS Request
=======================
Package Name: wammu
Short Description: Mobile Phone Manager Frontend - Gammu GUI
Owners: lxtnow@gmail.com
Branches: FC-5 FC-6 F-7 EL-4 EL-5 Devel
InitialCC: 

Comment 5 Jason Tibbitts 2007-06-09 22:34:55 EDT
CVS done.
Comment 6 Xavier Lamien 2007-06-12 21:49:44 EDT
imported and built

thanks to all

Note You need to log in before you can comment on or make changes to this bug.